### Method

# Pango LayoutIter get_line

#### Declaration [src]

    PangoLayoutLine*
    pango_layout_iter_get_line (
      PangoLayoutIter* iter
    )

#### Description [src]

Gets the current line.

Use the faster `pango_layout_iter_get_line_readonly()` if you do not plan to modify the contents of the line (glyphs, glyph widths, etc.).

#### Return value

Type: `PangoLayoutLine`

The current line.

The returned data is owned by the instance.
The return value can be `NULL`.